=== debian/control ===
Source: libdesktop-agnostic
Section: libs
Priority: extra
Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
# for waf
               python,
# "real" deps
               valac (>= 0.7.10),
               gobject-introspection (>= 0.6.3),
               libgirepository1.0-dev (>= 0.6.3),
               gir-repository-dev (>= 0.6.3),
               libglib2.0-dev (>= 2.16.0),
               libgtk2.0-dev,
               libgladeui-1-dev,
# documentation
               python-sphinx,
# python bindings
               python-support (>= 0.6),
               python-dev,
               python-all-dev (>= 2.5),
               python-gobject-dev (>= 2.12),
               python-gtk2-dev (>= 2.12),
# module deps
               libgconf2-dev,
               libthunar-vfs-1-dev,
               libdbus-glib-1-dev,
               libgnomevfs2-dev,
               libgnome-desktop-dev,
Standards-Version: 3.8.4
Homepage: https://launchpad.net/libdesktop-agnostic

Package: libdesktop-agnostic0
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends}
Suggests: libdesktop-agnostic-vfs, libdesktop-agnostic-cfg, libdesktop-agnostic-fdo
Description: A desktop-agnostic library for GLib-based projects
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the core library.

Package: libdesktop-agnostic-vfs-gnome
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Provides: libdesktop-agnostic-vfs
Description: GNOME VFS-based VFS module for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the GNOME VFS module.

Package: libdesktop-agnostic-vfs-thunar
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Provides: libdesktop-agnostic-vfs
Description: Thunar VFS-based VFS module for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the Thunar VFS module.

Package: libdesktop-agnostic-vfs-gio
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Provides: libdesktop-agnostic-vfs
Description: GIO-based VFS module for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the GIO module.

Package: libdesktop-agnostic-cfg-gconf
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Provides: libdesktop-agnostic-cfg
Description: GConf-based configuration module for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the GConf module.

Package: libdesktop-agnostic-cfg-keyfile
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Provides: libdesktop-agnostic-cfg
Description: Keyfile-based configuration module for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the keyfile-based configuration module.

Package: libdesktop-agnostic-fdo-gnome
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Provides: libdesktop-agnostic-fdo
Description: GNOME-based desktop entry/menu module for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the GNOME-based desktop entry/menu module.

Package: libdesktop-agnostic-fdo-glib
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version}),
Provides: libdesktop-agnostic-fdo
Description: GLib-based desktop entry/menu module for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the GLib-based desktop entry/menu module.

Package: libdesktop-agnostic0-dbg
Section: debug
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Description: Debugging symbols for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the debugging symbols for the core library.

Package: libdesktop-agnostic-dev
Section: libdevel
Architecture: any
Depends: 	${shlibs:Depends},
		${misc:Depends},
		libdesktop-agnostic0 (= ${binary:Version}),
		libglib2.0-dev,
		libgtk2.0-dev
Suggests:	glade (>= 3) | glade-3
Description: Development files for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the development files for the core library.

Package: libdesktop-agnostic-doc
Architecture: all
Section: doc
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libjs-jquery
Description: Documentation for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the documentation for the core library.

Package: gir1.0-desktopagnostic-1.0
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Recommends:	gobject-introspection, libdesktop-agnostic-dev
Description:  GObject Introspection data for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the GObject Introspection data for the core library.

Package: libdesktop-agnostic-bin
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version}),
            libdesktop-agnostic-cfg-gconf
Description:  Helper applications for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains helper applications for libdesktop-agnostic, such as a
 schema converter.

Package: python-desktop-agnostic
Section: python
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (>= ${binary:Version}),
            ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the Python bindings for the core library.

Package: vala-desktop-agnostic
Architecture: all
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (>= ${source:Version})
Description: Vala bindings for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the Vala bindings for the core library.
