=== debian/watch ===
version=3
https://launchpad.net/libdesktop-agnostic/+download http://launchpad.net/libdesktop-agnostic/.*/libdesktop-agnostic-(.+)\.tar.gz
